.. _ref_core_resources:

===================
Resources reference
===================

Resource model
--------------

.. automodule:: boto3.resources.model
   :members:
   :undoc-members:
   :inherited-members:

Request parameters
------------------

.. automodule:: boto3.resources.params
   :members:
   :undoc-members:

Response handlers
-----------------

.. automodule:: boto3.resources.response
   :members:
   :undoc-members:

Resource actions
----------------

.. automodule:: boto3.resources.action
   :members:
   :undoc-members:

Resource base
-------------

.. automodule:: boto3.resources.base
   :members:
   :undoc-members:

Resource factory
----------------

.. automodule:: boto3.resources.factory
   :members:
   :undoc-members:
